petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCEisenstatSetOmega

Sets the SSOR relaxation coefficient, omega, to use with Eisenstat's trick (where omega = 1.0 by default).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCEisenstatSetOmega(PC pc,PetscReal omega)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| omega | - relaxation coefficient (0 < omega < 2)

### Options Database Key

-pc_eisenstat_omega <omega> -Sets omega

### Notes

The Eisenstat trick implementation of SSOR requires about 50% of the usual amount of floating point operations used for SSOR + Krylov method; however, the preconditioned problem must be solved with both left and right preconditioning.

To use SSOR without the Eisenstat trick, employ the PCSOR preconditioner, which can be chosen with the database options

       -pc_type  sor  -pc_sor_symmetric

### Keywords

PC, Eisenstat, set, SOR, SSOR, relaxation, omega

### See Also

PCSORSetOmega()

### Level

intermediate

### Location

src/ksp/pc/impls/eisens/eisen.c

### Implementations

PCEisenstatSetOmega_Eisenstat in src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages